@charset "utf-8";
/* CSS Document */ 

html {
	scroll-behavior: smooth;
	scroll-padding: 0;
	background: #2330A6;
}
body {
    font-family: "Poppins", sans-serif;
    margin: 0;
    padding: 0;
	overflow-x: hidden !important;
   
	background: #ffffff;
	top: 0 !important;
}
@font-face {
    font-family: 'Bobby';
    src: url('../font/Bobby\ Jones\ Soft.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Gen';
    src: url('../font/GentyDemo-Regular.otf') format('opentype');
    font-weight: lighter    ;

}

/* google translate */
.goog-te-banner-frame.skiptranslate,
.goog-te-gadget-icon {
	display: none !important;
}
.goog-tooltip {
	display: none !important;
}
.goog-tooltip:hover {
	display: none !important;
}
.goog-text-highlight {
	background-color: transparent !important;
	border: none !important;
	box-shadow: none !important;
}
body iframe.VIpgJd-ZVi9od-ORHb-OEVmcd {
	opacity: 0;
	pointer-events: none;
	/*display: none !important;*/
}
div#google_translate_element div.goog-te-gadget-simple {
	max-height: 42px;
	font-size: 0.7em;
	background-color: white;
	position: relative;
	overflow: hidden;
	transform: translateY(-9px);
	padding: 0 !important;
	margin: 0 !important;
	border: none !important;
	border-radius: 12px !important;
}
/*div#google_translate_element div.goog-te-gadget-simple::after {
	content: "Language";
	font-size: 1em;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	color: var(--negro);
	z-index: 3;
	pointer-events: none;
	opacity: 0;
}*/
.goog-te-gadget {
	margin: 20px 0 0 12px;
}
a.VIpgJd-ZVi9od-xl07Ob-lTBxed span {
	font-size: 0.7em;
	color: #984b9d;
}
.goog-te-combo {
  border: 1px solid #ccc;
  border-radius: 4px;
  padding: 5px;
  font-size: 14px;
}

.header {
    background-color: #984B9D;
    color: white;
    text-align: center;
}

.header-top {
    padding: 0.5rem;
}

.header-top p {
    margin: 0;
    display: inline-block;
    padding: 0 15px;
    font-size: 14px;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0px 20px;
    background-color: #f3e0b5;
    box-shadow: 0 4px 6px -2px rgba(0, 0, 0, 0.2);
    position: relative; /* Para colocar el menú desplegable */
}



.menu-toggle {
    background: none;
    border: none;
    color: #2330A6;
    font-size: 24px;
    cursor: pointer;
    display: none; /* Ocultar en pantallas grandes */
}

.nav-menu {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    gap: 20px;
    align-items: center;
}

.nav-menu li {
   display: flex;
}

.nav-menu li a {
    text-decoration: none;
    color: #2330A6;
    font-weight: bold;
    display: flex;
    align-items: center;
    gap: 5px; /* Espacio entre el icono y el texto */
    transition: 0.5s all;
	line-height: 1.2em;
	padding:3px;
}
.nav-menu li a:hover {
    color: #984B9D;
}
.nav-menu li a.active {
	color: #f8a293;
}

.social-media a {
    text-decoration: none;
    color: #2330A6;
    margin-left: 15px;
    font-size: 20px; /* Tamaño de los iconos de redes sociales */
}
.nav-menu .dropdown {
    position: relative; /* Necesario para el submenú */
}

.nav-menu .dropdown-menu {
    display: none;/* Oculta el submenú por defecto */
    position: absolute; /* Posiciona el submenú debajo del elemento padre */
    top: 100%; /* Coloca el submenú justo debajo del menú principal */
    left: -4rem;
    
    background-color: #f3e0b5; /* Fondo del submenú */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); /* Sombra para el submenú */
    list-style: none;
    padding: 0;
    margin: 0;
    z-index: 1000; /* Asegura que el submenú esté por encima de otros elementos */
}

.nav-menu .dropdown-menu li {
    width: 200px; /* Ancho del submenú */
}

.nav-menu .dropdown-menu h4 {
	width: 100%;
	font-size: 0.7em;
	margin: 0;
	padding:9px 0;
	color: #ffffff;
	background: #2330a6;
	text-align: center;
}
.nav-menu .dropdown-menu h4.active {
	background: #2330a6;
}
	
.nav-menu .dropdown-menu li a {
	font-size: 0.9em;
	font-weight: normal;
    display: block; /* Hace que los enlaces del submenú se comporten como bloques */
    padding: 10px 20px; /* Espaciado interno para los enlaces */
    color: #2330A6; /* Color del texto */
    text-decoration: none; /* Elimina el subrayado */
    transition: background-color 0.3s; /* Transición suave para el fondo */
    width: 100%;
}

.nav-menu .dropdown-menu li a:hover,
.nav-menu .dropdown-menu li a.active {
    background-color: #984B9D; /* Fondo al pasar el ratón */
    color: #ffffff; /* Color del texto al pasar el ratón */
}

/* Mostrar el submenú al pasar el ratón */
.nav-menu .dropdown:hover .dropdown-menu {
    display: block; /* Muestra el submenú */
}

/* Estilos para dispositivos móviles */


.main-content {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 90vh;
    padding: 50px;
    background-image: url(../imgs/fondo.png);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
}
.image-overlay {
    position: absolute; /* Permite colocar imágenes en cualquier posición */
    z-index: 10; /* Asegura que las imágenes estén encima del fondo */
    animation: twinkle 2s infinite ease-in-out; /* Aplica la animación a las imágenes */
}

.image1 {
    top: 24%; /* Posición desde el top del contenedor */
    left: 20%; /* Posición desde la izquierda */
    width: 100px; /* Ajusta el tamaño de la imagen */
}

.image2 {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%); /* Centra la imagen */
    width: 100px;
}

.image3 {
    top: 100%;
    left: 30%;
    width: 80px;
}
@keyframes twinkle {
    0% {
        opacity: 1;
        transform: scale(1);
    }
    25% {
        opacity: 1; /* Máxima visibilidad */
        transform: scale(1.2); /* Crece */
    }
    50% {
        opacity: 1;
        transform: scale(0.8); /* Se hace más pequeña */
    }
    75% {
        opacity: 1; /* Recupera visibilidad */
        transform: scale(1.2); /* Crece otra vez */
    }
    100% {
        opacity: 1;
        transform: scale(1); /* Vuelve al tamaño original */
    }
}
@media (max-width: 480px) {
    .image1 {
        top: 25%;
        left: 3%;
        width: 18vw;
    }
    .image2 {
        top: 50%;
        left: 84%;
        transform: translate(-50%, -50%);
        width: 12vw;
    }

    .image3 {
        top: 72%;
        left: 11%;
        width: 11vw;
    }
}

.hero-section {
    display: flex;
    border-radius: 20px;
    max-width: 1200px;
    margin: 0 auto;
}
.text-content {
    max-width: 500px;
    margin-right: 12rem;
}

.text-content {
    max-width: 500px;
}

.text-content h1 {
    font-family: "Bobby", sans-serif;
    font-size: 4.5em;
    font-weight: 300;
    color: #03989E;
    margin-bottom: 20px;
}

.text-content p {
    font-size: 1.4rem;
    color: #03989E;
    margin-bottom: 30px;
}

.buttons {
    display: flex;
    gap: 20px;
}

.btn {
    padding: 10px 20px;
    background-color: #483D99;
    color: white;
    border: none;
    font-family: "Bobby", sans-serif;
    border-radius: 5px;
    cursor: pointer;
    font-size: 1em;
}

.logo img {
    width: 110px;
    padding-top: 10px;
}
.btn:hover {
    background-color: #333;
}

.image-content {
    margin-left: 50px;
	position: relative;
	box-shadow: 18px 18px 18px rgba(0,0,0,0.6);
}
.image-content::after {
	content: '';
	width: calc(100% - 18px);
	height:calc(100% - 18px);
	position: absolute;
	top: 0;
	left:0;
	border: solid 18px #ffffff;
	border-radius: 20px;
	pointer-events: none;
	z-index: 3;
}

.image-content img {
    width: 450px;
    border-radius: 20px;
	/*border: solid 18px #ffffff;*/
	margin: 0 0 -9px;
	padding:0;
}


.services-section {
    padding: 40px 20px;
    text-align: center;
    background-color:  #ffffff;
}

.services-container {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 40px;
    margin-bottom: 40px;
    flex-wrap: wrap;
    margin-top: 4rem;
}

.services-container a {
	text-decoration: none;
}

.service-card {
    border: 2px solid;
    border-radius: 10px;
    padding: 20px;
    width: 250px;
    text-align: center;
    transition: transform 0.3s ease;
}

.service-card:hover {
    transform: translateY(-10px);
    cursor: pointer;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2); /* Sombra más intensa */
}

.service-card img {
    width: 100px; /* Tamaño del icono */
    margin-bottom: 15px;
}

.service-card h3 {
    margin: 0;
    font-size: 1.1rem;
}

.service-card.cardV {
    border-color: #00a6a6; /* Color de borde y texto del primer card */
    color: #00a6a6;
    display: flex;
    align-items: center;
}

.service-card.cardM {
    border-color: #6a4c93; /* Color de borde y texto del segundo card */
    color: #6a4c93;
    display: flex;
    align-items: center;
}

.service-card.cardR {
    border-color: #e63946; /* Color de borde y texto del tercer card */
    color: #e63946;
    display: flex;
    align-items: center;
}

.service-card:hover {
	color: #f8a293;
}

.logo-container {
    margin: 40px 0;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.logo-container img {
    width: 120px;
    height: 120px; /* Tamaño del logo */
}

.arrow-down {
    font-size: 2em;
    color: #d54493; /* Color de la flecha */
    margin-top: 10px;
}
img.flecha {
    width: 22px;
    height: 22px;
    margin-top: 1rem;
    margin-bottom: 3rem;
}

.description-text {
    max-width: 900px;
    margin: 0 auto;
    padding: 20px;
    font-size: 1em;
    line-height: 1.6;
    color: #6a4c93; /* Color del texto descriptivo */
}
@media (max-width: 768px) {
    .menu-toggle {
        display: block; /* Mostrar el botón de menú hamburguesa en móviles */
    }

    .nav-menu {
        display: none; /* Ocultar el menú por defecto en móviles */
        flex-direction: column;
        gap: 15px;
        position: absolute;
        top: 60px; /* Ajusta según sea necesario */
        right: 20px;
        background-color: #f3e0b5;
        padding: 20px;
        border-radius: 10px;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        z-index: 1000; /* Asegura que el menú esté por encima de otros elementos */
    }

    .nav-menu.show {
        display: flex; /* Mostrar el menú cuando tenga la clase 'show' */
    }
    .logo img {
        width: 80px;
        height: 80px;
        padding-top: 10px;
    }

    .hero-section {
        display: flex;
        border-radius: 20px;
        max-width: 1200px;
        margin: 0 auto;
        flex-direction: column;
    }
    .image-content img {
        margin: 0;
        border-radius: 20px;
        width: 280px;
        padding: 0;
    }
    .image-content {
        margin-left: 0px;
        display: flex;
        align-items: center;
        justify-content: center;
        justify-items: center;
    }
    .buttons {
        display: flex;
        gap: 20px;
        justify-content: center;
        margin-bottom: 2rem;
    }
    .text-content h1 {
        font-family: "Bobby", sans-serif;
        font-size: 3.5em;
        font-weight: 300;
        color: #03989E;
        margin-bottom: 20px;
        text-align: center;
    }
    .text-content p {
        font-size: 1.4rem;
        color: #03989E;
        margin-bottom: 30px;
        text-align: center;
    }
    .nav-menu {
        display: none;
        flex-direction: column;
        gap: 15px;
        position: absolute;
        top: 96px;
        right: 0px;
        background-color: #f3e0b5;
        padding: 20px;
        border-radius: 0px;
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        z-index: 1000;
    }
   
}

.testimonials-section {
    padding: 50px 20px;
    text-align: center;
    background-color: #f7f7ff; /* Color de fondo de la sección */
}

.testimonials-section h2 {
    font-size: 2.5em;
    color: #fa7ea8; /* Color del texto del título */
    margin-bottom: 40px;
    font-weight: bold;
}

.testimonials-container {
    display: flex;
    justify-content: center;
 align-items: center;
    gap: 30px;
 
}

.testimonial-card {
    background-color: #fbded7; /* Color de fondo de las tarjetas */
    border-radius: 15px;
    padding: 30px;
    height: 320px;
    width: 300px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Sombra para el efecto de elevación */
    text-align: center;
}

.testimonial-card3 {
    background-color: #fbded7; /* Color de fondo de las tarjetas */
    border-radius: 15px;
    padding: 30px;
    width: 300px;
    height: 350px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Sombra para el efecto de elevación */
    text-align: center;
}

.testimonial-img {
    width: 80px;
    height: 80px;
    border-radius: 50%; /* Imagen circular */
    object-fit: cover;
    margin-bottom: 20px;

}

.testimonial-text {
    font-size: 1em;
    color: #64497a; /* Color del texto del testimonio */
    margin-bottom: 20px;
}
p.testimonial-name.lisi {
    margin-top: 5rem;
}

.testimonial-name {
    font-size: 1.1em;
    font-weight: bold;
    color: #64497a; /* Color del texto del nombre */
}
img.opiniones {
    width: 700px;
    margin-bottom: 3rem;
}

h1.cream {
	font-family: 'Gen';
	font-size: 3.6em;
	color: #f8a293;
	font-weight: normal;
}
h2.cream {
	width: 100%;
	font-family: 'Gen';
	font-size: 2.7em;
	color: #f8a293;
	font-weight: normal;
	text-align: center;
}
.cream2 {
	text-align: left;
	color: #03989e !important;
}
.cream3 {
	margin: -0.3em auto !important;
}

@media (max-width: 768px) {
    .testimonials-container {
        flex-direction: column; /* Cambiar a columna en pantallas pequeñas */
        gap: 20px;
    }

    .testimonial-card {
        width: 100%; /* Ancho completo en pantallas pequeñas */
        max-width: 350px;
        margin: 0 auto; /* Centrado */
    }
    img.opiniones {
        width: 350px;
        margin-bottom: 3rem;
    }
    .testimonial-card {
        width: 100%;
        max-width: 275px;
        margin: 0 auto;
        height: 340px;
    }
    .testimonial-card3 {
        width: 100%;
        max-width: 275px;
        margin: 0 auto;
        height: 340px;
    }
    p.testimonial-name.lisi {
        margin-top: 2rem;
    }
}

.contact-section {
    background: url(../imgs/fondo_peluche.png);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    color: #fff;

    
}

.contact-container {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 20px;
    max-width: 1200px;
    margin: 0 auto;
    padding: 48px 20px 20px;
    height: 90vh;
}

.map-container {
    flex: 1;
    max-width: 600px;
   
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    color: #ffffff;
    text-align: center;
}

.map-container p {
    margin: 10px 0;
    font-size: 1.3rem;
    font-family: "Bobby";
}

.branch-info {
    display: flex;
    justify-content: space-between;
    font-size: 0.9em;
    color: #ffffff;
}
.branch-info p{
    font-size: 1rem;
    font-family: "Poppins", sans-serif;
    
}
iframe {
    border-radius: 10px;
}
.form-container {
    flex: 1;
    max-width: 500px;
    
    border-radius: 10px;
    padding: 20px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    text-align: center;
    color: #ffffff;
}

.form-title {
    width: 100%;
    max-width: 210px;
    margin: 0 auto 20px auto;
    display: flex;
    align-items: flex-start;
}

.contact-form {
    display: flex;
    flex-direction: column;
    gap: 15px;
}

.form-group {
    display: flex;
    gap: 10px;
}

.form-group input,
.form-group select {
    flex: 1;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1em;
}

textarea {
    width: 96%;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1em;
    height: 100px;
    resize: none;
}

.form-note {
    font-size: 0.8em;
    color: #ffffff;
    margin-top: 10px;
}

.submit-btn {
    background-color: #00a6a6;
    color: #fff;
    padding: 10px;
    border: none;
    border-radius: 5px;
    font-size: 1em;
    width: 100px;
    cursor: pointer;
    font-family: "Bobby";
    font-weight: 300;
}

.submit-btn:hover {
    background-color: #008080;
}

/* Footer */
.footer {
    background-color: #2330A6; /* Fondo azul */
    color: #fff;
    padding: 40px 20px;
    text-align: center;
    position: relative;
}

.footer-container {
    
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: flex-start; /* Alinea los elementos arriba */
    gap: 40px;
    flex-wrap: wrap; /* Permite que se adapte a pantallas pequeñas */
    position: relative;
}

.footer-logo-container {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center; /* Centrar los iconos debajo del logo */
  margin-top: -100px;
}
.footer-logo {
    width: 160px;
    margin-bottom: 10px;
    position: relative;
    z-index: 2;
    
}

.footer-social {
    margin-top: 10px;
    display: flex;
    justify-content: center;
    gap: 15px;
}

.footer-social a {
    color: #fff;
    text-decoration: none;
    font-size: 20px; /* Tamaño de los iconos de redes sociales */
}
.footer-social a:hover {
	color: #f89fbc;
}

.footer-links {
    display: flex;
    justify-content: center;
    gap: 100px;
    flex-wrap: wrap; /* Adaptar a pantallas pequeñas */
    text-align: left; /* Alineación a la izquierda */
}

.footer-column {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.footer-column a {
    color: #fff;
    text-decoration: none;
    font-size: 0.9em;
    font-weight: 600;
}

.footer-column a.thin {
	font-weight: lighter;
}

.footer-column a:hover,
.footer-column a.active {
	color: #f9a0bd;
    text-decoration: underline;
}

.footer-bottom {
    border-top: 1px solid #fff; /* Línea divisoria */
    padding-top: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    margin-top: 20px;
}

.footer-bottom p {
    margin: 0;
    font-size: 0.8em;
}

.footer-bottom a {
    color: #fff;
    text-decoration: none;
    font-size: 1em;
}

.footer-bottom a:hover {
    color: #ccc;
}

/* Responsividad */
@media (max-width: 768px) {
    .footer-container {
        flex-direction: column;
        align-items: center;
    }

    .footer-links {
        gap: 20px;
        text-align: center; /* Alineación al centro en pantallas pequeñas */
    }
    .form-group {
        display: flex;
        gap: 10px;
        flex-direction: column;
    }
    textarea {
        width: 93%;
        padding: 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        font-size: 1em;
        height: 100px;
        resize: none;
    }
    .header-top p {
        margin: 0;
        display: inline-block;
        padding: 0 15px;
        font-size: 9px;
    }
    .contact-container {
        display: flex;
        justify-content: space-around;
        align-items: flex-start;
        flex-wrap: wrap;
        gap: 20px;
        max-width: 1200px;
        margin: 0 auto;
        padding: 20px;
        height: 165vh;
    }
    .footer-links {
        gap: 5px;
        text-align: justify;
        display: flex;
        justify-content: space-between;
    }
}

.text-image-carousel {
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    background-color: #f8a293; /* Fondo opcional */
    color: #ffffff;
}

.carousel-content {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    animation: scrollContent 120s linear infinite;
}

.carousel-item {
    flex: 1 0 7%; /* Cada elemento ocupa el 7% del ancho del contenedor inner */
    display: flex;
    align-items: center;
    justify-content: center; /* Centra el contenido vertical y horizontalmente */
    padding: 10px;
    font-size: 3rem;
    font-family: "Bobby";
    position: relative; /* Necesario para el pseudo-elemento */
}

.carousel-item::before {
    content: '•'; /* Punto de lista */
    font-size: 2rem; /* Tamaño del punto */
    margin-right: 10px; /* Espacio entre el punto y el texto */
    color: #ffffff; /* Color del punto */
}

@keyframes scrollContent {
    0% {
        transform: translateX(0%);
    }
    100% {
        transform: translateX(-100%);
    }
}
@media (max-width: 768px) {
    .carousel-item {
        flex: 1 0 7%;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0px;
        font-size: 2rem;
        font-family: Bobby;
        position: relative;
    }
    .main-content {
        display: flex;
        justify-content: center;
        align-items: center;
        height: 90vh;
        padding: 50px;
        background-image: url(../imgs/main-bg.png);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: left;
    }
    .text-content {
        max-width: 500px;
        margin-right: 0rem;
    }
    
	.goog-te-gadget {
		width: calc(100% - 36px);
		display: block;
		margin: 18px 18px 0;
	}

}

.contact-form input,
.contact-form select,
.contact-form textarea {    
    color: rgb(108, 0, 108); /* Cambia a morado el texto del input */
    font-family: Arial, sans-serif; /* Opcional: Cambia la fuente */
    font-size: 16px; /* Opcional: Cambia el tamaño del texto */
}

/* Cambia el color del placeholder (texto por defecto) */
.contact-form input::placeholder,
.contact-form textarea::placeholder {
    color: rgb(104, 0, 104); /* Cambia el color del texto del placeholder a morado */
    opacity: 0.6; /* Opcional: Puedes ajustar la opacidad del placeholder */
}
/* Estilos básicos */
.hidden {
    display: none;
  }

  .swiper-container {
    width: 100%;
    height: auto;
    padding: 20px 0;
    overflow: hidden; /* Evita el desbordamiento */
  }
  .swiper-container > div {
	  float: right; 
  }
  .swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .client-logo {
    width: 150px;
    height: auto;
    transition: transform 0.3s ease;
  }
  